
CoCoA-5 - Support #1240

John's visit Feb 2019

08 Feb 2019 20:21 - John Abbott

Status: Closed Start date: 08 Feb 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: enhancing/improving Estimated time: 0.44 hour

Target version: CoCoA-5.3.0 Spent time: 0.45 hour

Description

Questo e` un compito finto.  Il suo scopo e` solo di raccogliere (nel primo commento?) un elenco delle cose da fare durante la

prossima visit di John.

Related issues:

Related to CoCoA-5 - Feature #1247: sleep function Closed 26 Feb 2019

Related to CoCoALib - Design #1223: NewPolyRing default indet names Closed 02 Sep 2018

Related to CoCoALib - Support #1161: Split NumTheory.C into several smaller f... Closed 22 Feb 2018

Related to CoCoALib - Feature #259: Squarefree(?) GCD-free basis Closed 09 Oct 2012

Related to CoCoALib - Bug #1248: MinPolyQuot: guaranteed and ideal without GB... Closed 01 Mar 2019

Related to CoCoALib - Feature #1249: principal ideal has a Gbasis Closed 01 Mar 2019

Related to CoCoALib - Bug #1250: SEGV: CoCoALib with Normaliz in multithreading Closed 04 Mar 2019

Related to CoCoALib - Design #1225: Move to C++14 (skipping C++11) In Progress 06 Sep 2018

Related to CoCoA-5 - Design #83: C++11 compatibility questions In Progress 26 Jan 2012

Related to CoCoALib - Feature #1251: New function: radical for monomial ideal Closed 04 Mar 2019

Related to CoCoA-5 - Feature #1246: Revive old CoCoA4 package called "cocoa5.... Feedback 21 Feb 2019

Related to CoCoA-5 - Feature #1236: Add "socket" devices Closed 07 Jan 2019

Related to CoCoALib - Bug #1256: RingID: different values in test-output on d... Closed 15 Mar 2019

Related to CoCoA-5 - Support #1311: THINGS TO DO IN GENOVA September 2019 Closed 11 Sep 2019

History

#1 - 08 Feb 2019 20:38 - John Abbott

Qui sotto sono le cose che sper(iam)o di fare durante la mia visita:

sincronizzare col CVS

far funzionare VPN  (chiedo a Cartatone)

iniziare il passaggio a C++14 (o almeno C++11)

fare una release "unstable"(?)

guardare i compiti: #1238, #1235, #898, #1223, #1225

guardare i compiti: #476, #1239, #1237 (discutere), #1236, #1231, #1230, #1228, #322

parlare con Robbiano (ideals mod p)

#2 - 21 Feb 2019 17:55 - John Abbott

Mi piacerebbe guardare anche il discorso degli errori.  Issue #385

#3 - 26 Feb 2019 11:42 - John Abbott

- Related to Feature #1247: sleep function added

#4 - 26 Feb 2019 16:26 - John Abbott
- Related to Design #1223: NewPolyRing default indet names added

#5 - 26 Feb 2019 16:42 - John Abbott

- Related to Support #1161: Split NumTheory.C into several smaller files added

#6 - 26 Feb 2019 17:21 - John Abbott

- Related to Feature #259: Squarefree(?) GCD-free basis added

#7 - 01 Mar 2019 17:26 - John Abbott

- Related to Bug #1248: MinPolyQuot: guaranteed and ideal without GBasis added

#8 - 01 Mar 2019 17:34 - John Abbott

- Related to Feature #1249: principal ideal has a Gbasis added

#9 - 04 Mar 2019 13:39 - Anna Maria Bigatti

- Related to Bug #1250: SEGV: CoCoALib with Normaliz in multithreading added

#10 - 04 Mar 2019 13:39 - Anna Maria Bigatti

- Related to Design #1225: Move to C++14 (skipping C++11) added

#11 - 04 Mar 2019 13:40 - Anna Maria Bigatti

- Related to Design #83: C++11 compatibility questions added

#12 - 04 Mar 2019 16:14 - Anna Maria Bigatti

- Related to Feature #1251: New function: radical for monomial ideal added

#13 - 11 Mar 2019 18:53 - John Abbott

- Related to Feature #1246: Revive old CoCoA4 package called "cocoa5.cpkg" added

#14 - 15 Mar 2019 17:27 - John Abbott

- Related to Feature #1236: Add "socket" devices added

#15 - 15 Mar 2019 17:59 - John Abbott

- Related to Bug #1256: RingID: different values in test-output on different platforms added

#16 - 20 Sep 2019 18:56 - John Abbott

- Related to Support #1311: THINGS TO DO IN GENOVA September 2019 added

#17 - 01 Oct 2019 14:25 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott

- % Done changed from 0 to 100

- Estimated time set to 0.44 h

Closing this because the visit is over -- this does not imply that we achieved all that we had hoped to. :-(

Powered by TCPDF (www.tcpdf.org)

29 Apr 2024 2/2

http://www.tcpdf.org

